<?php
class BuzzAdvertsStyle5 extends CakeMigration {

	/**
	 * Migration description
	 *
	 * @var string
	 */
	public $description = 'BuzzAdverts_initial_migration';

	/**
	 * Actions to be performed
	 *
	 * @var array $migration
	 */
	public $migration = array(
		'up' => array(
		),
		'down' => array(
		),
	);

	/**
	 * Before migration callback
	 *
	 * @param string $direction Direction of migration process (up or down)
	 * @return bool Should process continue
	 */
	public function before($direction) {
		return true;
	}

	/**
	 * After migration callback
	 *
	 * @param string $direction Direction of migration process (up or down)
	 * @return bool Should process continue
	 */
	public function after($direction) {
		if ($direction === 'up') {
			$data = [
				'name' => 'Style 5',
				'view_template' => 'BuzzAdverts.style5',
				'fields' => '["link_text"]',
				'has_image' => true,
				'is_active' => true
			];
			ClassRegistry::init('BuzzAdverts.AdvertTemplate')->save($data);
		}
		return true;
	}
}
